← Töflur
Hreinsa

Scotland

Women's Premiership

#LiðPWDLPDBPPtsForm
1Hillhead Jordanhill RFC5500+173525WWWWW
2Watsonian FC5401+165521WLWWW
3Stirling County RFC4400+254420WWWW
4Biggar RFC5302+26416WWWLL
5Garioch RFC5104-24237LLLWL
6Heriot's Rugby Women4103-2656LWLL
7Corstorphine RFC5104-13526LLLLW
8Cartha Queens Park RFC5005-21533LLLLL

Heimild: Scottish Rugby · athugað 14. okt., 16:52 · Form: síðustu fimm úrslit sem við höfum, nýjustu til hægri.

Leikir og úrslit →

Hver tafla er sú sem deildin sjálf birtir, með bónusstigum, frádrætti og jafnræðisreglum. BP er sýnt þar sem deildin birtir það; annars er það þegar í Pts.